Bug 266087 - Ampache Crash
Summary: Ampache Crash
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: Oxygen
Classification: Unclassified
Component: general (show other bugs)
Version: 4.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
: 266853 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-11 16:53 UTC by Malar Kannan
Modified: 2011-03-07 15:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (26.05 KB, text/plain)
2011-02-23 15:47 UTC, mchugh19@yahoo.com
Details
New crash information added by DrKonqi (30.52 KB, text/plain)
2011-02-23 17:25 UTC, mchugh19@yahoo.com
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Malar Kannan 2011-02-11 16:53:11 UTC
Application: amarok (2.3.2)
KDE Platform Version: 4.5.5 (KDE 4.5.5)
Qt Version: 4.7.1
Operating System: Linux 2.6.35.10-74.fc14.x86_64 x86_64
Distribution: "Fedora release 14 (Laughlin)"

-- Information about the crash:
- What I was doing when the application crashed:
I enabled the ampache on the internet services menu.
Then when i chose that from the left pane to add to the playlist.
- Custom settings of the application:
enabled ampache in internet services

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa28fa47860 (LWP 5685))]

Thread 21 (Thread 0x7fa279241700 (LWP 5686)):
#0  0x0000003f7480b71e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282960d21 in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fa278a40700 (LWP 5687)):
#0  0x0000003f74808fd0 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x0000003f76c41ae2 in g_main_context_check (context=0x7fa2740009b0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2660
#2  0x0000003f76c42392 in g_main_context_iterate (context=0x7fa2740009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2777
#3  0x0000003f76c428ad in g_main_context_iteration (context=0x7fa2740009b0, may_block=1) at gmain.c:2843
#4  0x0000003f7f586916 in QEventDispatcherGlib::processEvents (this=0x7fa2740008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x0000003f7f55ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003f7f55ad8c in QEventLoop::exec (this=0x7fa278a3fcd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003f7f46fed4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007fa282bbe41e in Phonon::Xine::XineThread::run (this=0x138edc0) at /usr/src/debug/phonon-4.4.3/xine/xinethread.cpp:143
#9  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x138edc0) at thread/qthread_unix.cpp:285
#10 0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#11 0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fa273fff700 (LWP 5688)):
#0  0x0000003f73cd7283 in poll () from /lib64/libc.so.6
#1  0x0000003f8b62c3bf in poll_func (ufds=0x7fa26c001460, nfds=1, timeout=-1, userdata=0x12eef30) at pulse/thread-mainloop.c:75
#2  0x0000003f8b61e166 in pa_mainloop_poll (m=0x1304b60) at pulse/mainloop.c:879
#3  0x0000003f8b61e799 in pa_mainloop_iterate (m=0x1304b60, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x0000003f8b61e850 in pa_mainloop_run (m=0x1304b60, retval=0x0) at pulse/mainloop.c:979
#5  0x0000003f8b62c35b in thread (userdata=<value optimized out>) at pulse/thread-mainloop.c:94
#6  0x0000003f8b238888 in internal_thread_func (userdata=0x12ee640) at pulsecore/thread-posix.c:72
#7  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#8  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fa2737fe700 (LWP 5689)):
#0  0x0000003f73cd9093 in select () from /lib64/libc.so.6
#1  0x00007fa2829898a4 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fa2829727da in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#4  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fa272bf4700 (LWP 5690)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282972deb in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fa2723f3700 (LWP 5691)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282972deb in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fa271bf2700 (LWP 5692)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282972deb in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fa2588f5700 (LWP 5700)):
#0  0x0000003f73cd9093 in select () from /lib64/libc.so.6
#1  0x00007fa2829898a4 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fa28296edf2 in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#4  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fa253c16700 (LWP 5701)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282964d4b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa28296ae9d in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#4  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fa253248700 (LWP 5702)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa28295b29f in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa28296c6d8 in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#4  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fa252a47700 (LWP 5703)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282975acb in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fa2517a6700 (LWP 5704)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f7f472ddb in wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003f9460a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1db5a70, th=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003f9460c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003f9460c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003f9460c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x0000003f9460b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2517a5d30, parent=0x1db5a70, th=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:87
#8  0x0000003f9460b5b8 in ThreadWeaver::Thread::run (this=0x1db62e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:142
#9  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x1db62e0) at thread/qthread_unix.cpp:285
#10 0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#11 0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fa243fff700 (LWP 5707)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa282964c53 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa25d50f54f in ?? () from /usr/lib64/xine/plugins/1.29/xineplug_dmx_audio.so
#3  0x00007fa25d50fdfd in ?? () from /usr/lib64/xine/plugins/1.29/xineplug_dmx_audio.so
#4  0x00007fa2829798e3 in ?? () from /usr/lib64/libxine.so.1
#5  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#6  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fa2437fe700 (LWP 5708)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f8f593d84 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x3f8f8ab4e0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x0000003f8f593db9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x3f8f8b95b4) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#4  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fa2338ff700 (LWP 5722)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f7f472ddb in wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003f9460a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1db5a70, th=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003f9460c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003f9460c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003f9460c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x0000003f9460b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2338fed30, parent=0x1db5a70, th=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:87
#8  0x0000003f9460b5b8 in ThreadWeaver::Thread::run (this=0x2db6a90) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:142
#9  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x2db6a90) at thread/qthread_unix.cpp:285
#10 0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#11 0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fa2330fe700 (LWP 5723)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f7f472ddb in wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003f9460a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1db5a70, th=0x2dbda10) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003f9460c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2dbda10) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003f9460b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2330fdd30, parent=0x1db5a70, th=0x2dbda10) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003f9460b5b8 in ThreadWeaver::Thread::run (this=0x2dbda10) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x2dbda10) at thread/qthread_unix.cpp:285
#8  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#9  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fa2328fd700 (LWP 5724)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f7f472ddb in wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db5da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003f9460a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1db5a70, th=0x2dc43e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003f9460c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2dc43e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003f9460c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db5ec0, th=0x2dc43e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003f9460b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2328fcd30, parent=0x1db5a70, th=0x2dc43e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003f9460b5b8 in ThreadWeaver::Thread::run (this=0x2dc43e0) at /usr/src/debug/kdelibs-4.5.5/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x2dc43e0) at thread/qthread_unix.cpp:285
#9  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#10 0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fa2311e9700 (LWP 5725)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f939287f4 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fa21df37700 (LWP 5744)):
#0  0x0000003f7480b3b4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f7f472ddb in wait (this=<value optimized out>, mutex=0x37103b8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x37103b8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003f832a9694 in QFileInfoGatherer::run (this=0x37103a8) at dialogs/qfileinfogatherer.cpp:214
#4  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x37103a8) at thread/qthread_unix.cpp:285
#5  0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#6  0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fa267b65700 (LWP 5745)):
#0  0x0000003f73cd7283 in poll () from /lib64/libc.so.6
#1  0x0000003f76c42374 in g_main_context_poll (context=0x7fa2600009f0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x7fa2600009f0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2775
#3  0x0000003f76c428ad in g_main_context_iteration (context=0x7fa2600009f0, may_block=1) at gmain.c:2843
#4  0x0000003f7f586916 in QEventDispatcherGlib::processEvents (this=0x7fa260000900, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x0000003f7f55ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003f7f55ad8c in QEventLoop::exec (this=0x7fa267b64ce0, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003f7f46fed4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x0000003f7f53c5f8 in QInotifyFileSystemWatcherEngine::run (this=0x370dfa0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0000003f7f4726ee in QThreadPrivate::start (arg=0x370dfa0) at thread/qthread_unix.cpp:285
#10 0x0000003f74806ccb in start_thread () from /lib64/libpthread.so.0
#11 0x0000003f73ce0c2d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fa28fa47860 (LWP 5685)):
[KCrash Handler]
#6  0x00007fa2893249f6 in Oxygen::WindowManager::canDrag (this=<value optimized out>, widget=0x1b59720, child=<value optimized out>, position=...) at /usr/src/debug/kdebase-workspace-4.5.5/kstyles/oxygen/oxygenwindowmanager.cpp:542
#7  0x00007fa28932546f in Oxygen::WindowManager::mousePressEvent (this=0x1204da0, object=0x1b59720, event=0x7fff9d66ccd0) at /usr/src/debug/kdebase-workspace-4.5.5/kstyles/oxygen/oxygenwindowmanager.cpp:235
#8  0x0000003f7f55b937 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1b59720, event=0x7fff9d66ccd0) at kernel/qcoreapplication.cpp:847
#9  0x0000003f82db7891 in QApplicationPrivate::notify_helper (this=0x1172a80, receiver=0x1b59720, e=0x7fff9d66ccd0) at kernel/qapplication.cpp:4441
#10 0x0000003f82dbcc5a in QApplication::notify (this=<value optimized out>, receiver=0x1b59720, e=0x7fff9d66ccd0) at kernel/qapplication.cpp:4006
#11 0x0000003f81220596 in KApplication::notify (this=0x7fff9d66d990, receiver=0x1b59720, event=0x7fff9d66ccd0) at /usr/src/debug/kdelibs-4.5.5/kdeui/kernel/kapplication.cpp:310
#12 0x0000003f7f55b7ac in QCoreApplication::notifyInternal (this=0x7fff9d66d990, receiver=0x1b59720, event=0x7fff9d66ccd0) at kernel/qcoreapplication.cpp:732
#13 0x0000003f82db88c5 in sendEvent (receiver=0x1b59720, event=0x7fff9d66ccd0, alienWidget=0x1b59720, nativeWidget=0x19d08f0, buttonDown=0x3f8388b938, lastMouseReceiver=..., spontaneous=true) at ../../src/corelib/kernel/qcoreapplication.h:215
#14 QApplicationPrivate::sendMouseEvent (receiver=0x1b59720, event=0x7fff9d66ccd0, alienWidget=0x1b59720, nativeWidget=0x19d08f0, buttonDown=0x3f8388b938, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3105
#15 0x0000003f82e36868 in QETWidget::translateMouseEvent (this=0x19d08f0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4438
#16 0x0000003f82e34f49 in QApplication::x11ProcessEvent (this=0x7fff9d66d990, event=0x7fff9d66d620) at kernel/qapplication_x11.cpp:3564
#17 0x0000003f82e5c896 in x11EventSourceDispatch (s=0x117a7a0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#18 0x0000003f76c41e33 in g_main_dispatch (context=0x11754a0) at gmain.c:2149
#19 g_main_context_dispatch (context=0x11754a0) at gmain.c:2702
#20 0x0000003f76c42610 in g_main_context_iterate (context=0x11754a0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#21 0x0000003f76c428ad in g_main_context_iteration (context=0x11754a0, may_block=1) at gmain.c:2843
#22 0x0000003f7f5868bf in QEventDispatcherGlib::processEvents (this=0x10200a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#23 0x0000003f82e5c59e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#24 0x0000003f7f55ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#25 0x0000003f7f55ad8c in QEventLoop::exec (this=0x7fff9d66d930, flags=...) at kernel/qeventloop.cpp:201
#26 0x0000003f7f55f24b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#27 0x00000000004081af in main (argc=1, argv=0x7fff9d66f8f8) at /usr/src/debug/amarok-2.3.2/src/main.cpp:237

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-02-16 19:23:52 UTC
The problem is in Oxygen, not in Amarok, reassigning.
Comment 2 Myriam Schweingruber 2011-02-21 23:07:07 UTC
*** Bug 266853 has been marked as a duplicate of this bug. ***
Comment 3 Myriam Schweingruber 2011-02-21 23:07:32 UTC
Confirmed by duplicates.
Comment 4 Hugo Pereira Da Costa 2011-02-22 00:31:34 UTC
Both crash don't actually occur at the exact same line in the code.
(one at line 542 the other at line 551)
Both try to either cast a widget, or access a method of the cast widget.
This probably indicates that a dangling pointer to an invalid widget is passed to the incriminated method (::CanDrag).
I cant really tell more unless I suceed at reproducing the bug.
How do I 'enable' ampache in amarok at the first place (I don't seem to have such a thing here) ?

Hugo
Comment 5 mchugh19@yahoo.com 2011-02-22 01:02:22 UTC
(In reply to comment #4)
> How do I 'enable' ampache in amarok at the first place (I don't seem to have
> such a thing here) ?


In the ampache settings for internet plugins, I have an option to add an amarok server. Standard distro packages come with it enabled, otherwise it's a compile time option. I can give you a login to my server if you want to send me a private email.
Thanks!
Comment 6 Hugo Pereira Da Costa 2011-02-23 12:02:31 UTC
ok. I now have ampache running, and a brand new large playlist, but still can't crash the application.

Questions:
- does the crash happens everytime ?
- is there a chance you can post a screenshot of amarok's state *before* the crash
(I'm not sure I do the right things to trigger it).

Thx,

Hugo
Comment 7 mchugh19@yahoo.com 2011-02-23 13:33:39 UTC
(In reply to comment #6)
> Questions:
> - does the crash happens everytime ?
> - is there a chance you can post a screenshot of amarok's state *before* the
> crash

Often when opening amarok to play from ampache, I'll open the app, click internet, click ampache and wait a little bit, but the ampache listing never populates. In these cases I try entering some text into the search filter, wait a second, then delete it. Sometimes that seems to help, most of the time not. Then I'll go into settings and disable the ampache plugin, apply, then enable it again, and click ok. I might also go to edit and hit ok. 

This bug seemed to be triggered by disabling/enabling the ampache plugin. I don't know if it happens every time, but I'd bet pretty reliably. When I get to work I'll see if I can repeat the crash.
Comment 8 mchugh19@yahoo.com 2011-02-23 15:47:44 UTC
Created attachment 57466 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.0

- What I was doing when the application crashed:
This is a crash from running amarok and clicking enable/disable and apply on the ampache resource.

-- Backtrace (Reduced):
#6  Oxygen::WindowManager::canDrag (this=<value optimized out>, widget=0x36fd880, child=<value optimized out>, position=...) at ../../../kstyles/oxygen/oxygenwindowmanager.cpp:551
#7  0x00007f82b2fc37cf in Oxygen::WindowManager::mousePressEvent (this=0x2212470, object=0x36fd880, event=<value optimized out>) at ../../../kstyles/oxygen/oxygenwindowmanager.cpp:241
#8  0x00007f82c63d7507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x36fd880, event=0x7fff4402ff20) at kernel/qcoreapplication.cpp:847
#9  0x00007f82c6db9fac in QApplicationPrivate::notify_helper (this=0x21bb7c0, receiver=0x36fd880, e=0x7fff4402ff20) at kernel/qapplication.cpp:4392
#10 0x00007f82c6dc030e in QApplication::notify (this=0x7fff44030be0, receiver=0x36fd880, e=0x7fff4402ff20) at kernel/qapplication.cpp:3959
Comment 9 mchugh19@yahoo.com 2011-02-23 16:42:21 UTC
(In reply to comment #8)
> Created an attachment (id=57466) [details]

Hey all. Want to watch a video of me fumbling to make amarok crash? Well, you're in luck!
http://www.youtube.com/watch?v=IQJwOJJXf0M

Made a youtube account just for this bug report. Yea ha
Comment 10 Hugo Pereira Da Costa 2011-02-23 16:52:54 UTC
@Christian

Nice video !
Well, I must say that it does not seem *that* easy to make it crash ;)
(if only you did not have this issue that your ampache list would not update).

My belief is that indeed the crash is triggered by a widget being accessed while being deleted, due to some race condition, because basically all your "playing around" (no offense meant), results in creating destroying quite some widgets, until you hit the conflict.

Don't get me wrong, I'm not saying that there is no bug. I'm just saying it will be hard to fix.

Will keep you posted, and thanks again for taking the effort of recording this video.
Comment 11 mchugh19@yahoo.com 2011-02-23 17:25:26 UTC
Created attachment 57472 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.0

- What I was doing when the application crashed:
Thanks much Hugo. I understand this might be a tricky one to track down. The first time I had the problem it was from going into the settings once, and it immediatly crashed. As with all things technological, it suddently becomes more difficult once you have someone to show :)

I think this crash might be related. In trying to just play music (not even trying to replicate this bug) I removed the configuration for my ampache server and added it back with a slightly different name. Since my ampache list was not populating anymore I was hoping to clear out a cache or something. Anyway, while the ampache list may have been loading I bumped the mouse and right clicked on the blank ampache browser and amarok crashed. 

Thanks again

-- Backtrace (Reduced):
#6  Oxygen::WindowManager::canDrag (this=<value optimized out>, widget=0x282c680, child=<value optimized out>, position=...) at ../../../kstyles/oxygen/oxygenwindowmanager.cpp:551
#7  0x00007f4caa3927cf in Oxygen::WindowManager::mousePressEvent (this=0x1345980, object=0x282c680, event=<value optimized out>) at ../../../kstyles/oxygen/oxygenwindowmanager.cpp:241
#8  0x00007f4cbd7a6507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x282c680, event=0x7fffd9537510) at kernel/qcoreapplication.cpp:847
#9  0x00007f4cbe188fac in QApplicationPrivate::notify_helper (this=0x12fe7c0, receiver=0x282c680, e=0x7fffd9537510) at kernel/qapplication.cpp:4392
#10 0x00007f4cbe18f30e in QApplication::notify (this=0x7fffd95381d0, receiver=0x282c680, e=0x7fffd9537510) at kernel/qapplication.cpp:3959
Comment 12 Hugo Pereira Da Costa 2011-02-23 17:37:58 UTC
aha
With the latest description, I could reproduce ! 
Now we have something to work with :)
Comment 13 Hugo Pereira Da Costa 2011-02-23 17:52:24 UTC
Git commit 631f5dd7ef5c68a1735985a96b9f34df944ec0e9 by Hugo Pereira Da Costa.
Committed on 23/02/2011 at 17:42.
Pushed by hpereiradacosta into branch 'master'.

added protection when accessing listview model.

CCBUG: 266087

M  +2    -2    kstyles/oxygen/oxygenwindowmanager.cpp     

http://commits.kde.org/kde-workspace/631f5dd7ef5c68a1735985a96b9f34df944ec0e9
Comment 14 Hugo Pereira Da Costa 2011-02-23 17:55:22 UTC
Git commit 1021789c698efc4f0598c57eb3e9efcf304c77c1 by Hugo Pereira Da Costa.
Committed on 23/02/2011 at 17:42.
Pushed by hpereiradacosta into branch 'KDE/4.6'.

added protection when accessing listview model.

CCBUG: 266087

M  +2    -2    kstyles/oxygen/oxygenwindowmanager.cpp     

http://commits.kde.org/kde-workspace/1021789c698efc4f0598c57eb3e9efcf304c77c1
Comment 15 Hugo Pereira Da Costa 2011-02-23 17:58:43 UTC
@Christian
I think it fixes it. (And was easier than I thought).
For the record: you can reproduce the crash in 100% of the cases.
Just set an invalid ampache server in the config.

Now: everytime you click on the (naturally empty) ampache music list, it crashes. 

Thats what my buxfix address.

Will keep the bug open for a while, untill someone can confirm (possibly when kde4.6.1 is out, or if you compile KDE from sources), that the crash is fixed.

Hugo